Skip to main content
POST
Create a component on a v3 status page.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

statusPageId
string
required

Body

application/json
name
string
required
displayOrder
integer
required
type
enum<string>
default:SERVICE
Available options:
SERVICE,
GROUP
description
string | null
hidden
boolean
parentId
string | null

The GROUP component this component sits under. Must belong to the same status page.

Response

Created

name
string
required
displayOrder
integer
required
id
string
required
statusPageId
string
required
created_at
string<date>
required
type
enum<string>
default:SERVICE
Available options:
SERVICE,
GROUP
description
string | null
hidden
boolean
parentId
string | null

The GROUP component this component sits under. Must belong to the same status page.

updated_at
string<date> | null